需要通过 SSO 登录
出现此问题时,API 会返回 403 Forbidden,其 type 为 https://lingo.dev/docs/api/errors/sso-sign-in-required。所有错误的通用结构请参阅错误和状态码。
当前会话未通过组织 <organizationId> 的身份提供商进行身份验证。请先通过 SSO 登录,再启用强制执行。
字段#
除 type、<C02></C01>、title 和 detail 这些标准成员外,响应体还包含以下字段。detail 的文本根据这些字段生成,因此客户端也可以显示自己的文本。
| 字段 | 类型 |
|---|---|
organizationId | string |
示例#
json
{
"detail": "A session without the organization's identity provider at organization <organizationId>. Sign in with SSO, then turn enforcement on.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/sso-sign-in-required",
"status": 403,
"title": "SSO sign-in required"
}返回此错误的端点#
PATCH /v2/organizations/{orgId}/sso